%define module test
%define bname fest
Name:          fest-test
Version:       1.2.1
Release:       %mkrel 1
Summary:       FEST Testing
Group:         Development/Java
License:       ASL 2.0
Url:           http://fest.easytesting.org/
# svn export http://svn.codehaus.org/fest/trunk/fest-assert/ fest-test-2.0
# tar czf fest-test-2.0-src-svn.tar.gz fest-test-2.0
Source0:       http://repo1.maven.org/maven2/org/easytesting/fest-test/1.2.1/fest-test-1.2.1.zip
# ant build scripts
Source1:       fest-test-1.2.1-autogeneratefiles.tar.gz

BuildRequires: fest-parent
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils
BuildRequires: fest-util
BuildRequires: junit4
BuildRequires: maven >= 0:2.0.8
BuildRequires: maven-ant-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      fest-util
Requires:      junit4

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Utility methods for testing FEST modules.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n fest-test-%{version}

mkdir -p src/main/java

(
  cd src/main/java
  jar -xf ../../../fest-test-%{version}-sources.jar
  rm -rf META-INF
)

for j in $(find . -name "*.jar"); do
  rm -f $j
done

for c in $(find . -name "*.class"); do
  rm -f $c
done

%build

mvn-rpmbuild ant:ant install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{bname}

install -m 644 target/%{name}-%{version}.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{bname}/%{module}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}.pom
%add_to_maven_depmap org.easytesting %{name} %{version} JPP/%{bname} %{module}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
## % doc LICENSE.txt
%dir %{_javadir}/%{bname}
%{_javadir}/%{bname}/%{module}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Oct 31 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 160310
- revert to 1.2.1
- imported package fest-test

